#include "Gra.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "Font.ch"

#pragma library("XppUi2")

PROCEDURE Appsys
RETURN

PROCEDURE Main
LOCAL nEvent, oXbp, mp1, mp2
LOCAL oDlg

   oDlg := NewForm():New()
   oDlg:oPbOO:activate := {|| oDlg:Load2() }
   oDlg:Create()

   CenterControl(oDlg)
   SetAppWindow(oDlg)
   SetAppFocus(oDlg)
   SetAppFocus(oDlg:oPbOO)

   nEvent := xbe_None
   WHILE nEvent != xbeP_Close
      nEvent := AppEvent ( @mp1, @mp2, @oXbp )
      oXbp:HandleEvent ( nEvent, mp1, mp2 )
      IF nEvent == xbeP_Quit
         QUIT   // AppQuit()
      ENDIF
   ENDDO

RETURN

CLASS NewForm FROM _NewForm
   EXPORTED:
      METHOD init
      METHOD create

      METHOD Load2
ENDCLASS

METHOD NewForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )
   ::_NewForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )
RETURN self

METHOD NewForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )
   ::_NewForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )
   ::show()
RETURN self

METHOD NewForm:Load2()
LOCAL oFileDlg, aFiles := {}
LOCAL aFilters := { {"Media Files","*.SWF"} }

   oFileDlg   := XbpFileDialog():new()
   oFileDlg:fileFilters := aFilters
   oFileDlg:center      := .T.
   oFileDlg:create( ::DrawingArea )
   aFiles := oFileDlg:open(,.T.,.F.)         // single

   IF EMPTY(aFiles)
   ELSE
      ::oOFlash:loadmovie(0,aFiles)
      ::oOFlash:play()
   ENDIF

RETURN self

* Programmcode fr die Implementierungsebene der Klasse einfgen
#include "_FLASH.PRG"

//EOF
/////